import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  id: z.literal(true).optional(),
  claimId: z.literal(true).optional(),
  filename: z.literal(true).optional(),
  mimeType: z.literal(true).optional(),
  filePath: z.literal(true).optional()
}).strict();
export const ClaimFileMinAggregateInputObjectSchema: z.ZodType<Prisma.ClaimFileMinAggregateInputType> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileMinAggregateInputType>;
export const ClaimFileMinAggregateInputObjectZodSchema = makeSchema();
